# Generated by Django 4.0.2 on 2022-02-25 14:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MindMap',
            fields=[
                ('id', models.CharField(max_length=255, primary_key=True, serialize=False, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Leaf',
            fields=[
                ('path', models.TextField(primary_key=True, serialize=False, unique=True)),
                ('text', models.CharField(max_length=255)),
                ('is_root', models.BooleanField(default=False)),
                ('mind_map', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mind_map.mindmap')),
                ('previous_leaf', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='mind_map.leaf')),
            ],
        ),
    ]
